Bug 1276991 - kwin crash
kwin crash
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
22
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-01 21:51 EST by Elbin Pallimalil
Modified: 2016-07-19 15:21 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:21:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ps -e u|grep kwin (584 bytes, text/plain)
2015-11-01 21:51 EST, Elbin Pallimalil
no flags Details
bt of kwin instance 1 (40.71 KB, text/plain)
2015-11-01 21:51 EST, Elbin Pallimalil
no flags Details
bt of kwin instance 2 (35.35 KB, text/plain)
2015-11-01 21:52 EST, Elbin Pallimalil
no flags Details

  None (edit)
Description Elbin Pallimalil 2015-11-01 21:51:22 EST
Created attachment 1088439 [details]
ps -e u|grep kwin

+++ This bug was initially created as a clone of Bug #1276829 +++

Description of problem:
KDE desktop becomes unresponsive. I am able to move the mouse cursor but cannot click on any window.


Version-Release number of selected component (if applicable):
KDE 4.14.11
kwin-5.4.2-3.fc22.x86_64


How reproducible:
Occurs randomly. Usually happens when a new window or application is opened. Eg: click on a text file in Dolphin that opens in kwrite.


Steps to Reproduce:
1.
2.
3.

Actual results:
Screen should respond to mouse clicks.


Expected results:
Desktop goes unresponsive.


Additional info:
I logged into a console when this happened. It seemed kwin crashed. I have attached the output from ps (ps -e u|grep kwin). 

I have also attached the backtraces of the two kwin instances.
Comment 1 Elbin Pallimalil 2015-11-01 21:51 EST
Created attachment 1088440 [details]
bt of kwin instance 1
Comment 2 Elbin Pallimalil 2015-11-01 21:52 EST
Created attachment 1088441 [details]
bt of kwin instance 2
Comment 3 Rex Dieter 2015-11-01 23:46:50 EST
Does krunner (ALT-F2) work in this situation (or not)?
Comment 4 Rex Dieter 2015-11-01 23:47:10 EST
And what video hardware and driver are you using?
Comment 5 Elbin Pallimalil 2015-11-02 23:59:49 EST
(In reply to Rex Dieter from comment #3)
> Does krunner (ALT-F2) work in this situation (or not)?
No

(In reply to Rex Dieter from comment #4)
> And what video hardware and driver are you using?
Radeon HD 6770, RADEON: Driver for ATI Radeon chipsets:
Comment 6 Rex Dieter 2015-11-03 07:05:22 EST
OK, triaging there, thanks.
Comment 7 Fedora End Of Life 2016-07-19 15:21:32 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.